YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class JSONEncoder

Package | com.adobe.serialization.json
Class | public class JSONEncoder

Public Methods

| Method | Defined by
--- | --- | ---
|  | JSONEncoder(value:*) Creates a new JSONEncoder. | JSONEncoder
|  | getString():String Gets the JSON string from the encoder. | JSONEncoder

Constructor detail

JSONEncoder | () | constructor

`public function JSONEncoder(value:*)`

Creates a new JSONEncoder.

Parameters

| `value:*` — The object to encode as a JSON string

Method detail

getString | () | method

`public function getString():String`

Gets the JSON string from the encoder.

Returns

| `String` — The JSON string representation of the object that was passed to the constructor